Query specify tax information from the country
GET https://{handle}.myshopline.com/admin/openapi/v20261201/countries/:id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- id string requiredInternational code id for the store dimensionExample:
13445
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
dataobject
Return bodycountryobject
National structural bodyprovincesobject[]
Province structurecode stringProvince codeExample:AJcountry_id stringNational idExample:1000034id stringProvince idExample:100003666name stringProvince nameExample:Washingtontax stringTax valueExample:0.05tax_name stringTax nameExample:VATtax_percentage stringTax 100 pointsExample:5tax stringTax valueExample:0.05tax_name stringTax nameExample:VATcode stringCountry code for two lettersExample:UScustom_tax_infoobject[]
Custom tax informationcountryobject
Countrycode stringNational codeExample:USname stringNational nameExample:USAprovincesobject[]
Province informationname stringProvince nameExample:Washingtontax stringTax valueExample:0.05tax_name stringTax nameExample:VATtax_percentage stringTax percentage valueExample:5%code stringProvince codeExample:AJcountry_id stringNational idExample:123123id stringidExample:12231tax stringTax valueExample:0.05tax_name stringTax nameExample:VATname stringCustom tax nameExample:Product classification 1product_category_id stringProduct classification idExample:1213213231type stringTax typeExample:product_categoryid stringStore dimension idExample:100033name stringNational english full nameExample:USA
API Explorer
Debugger
Was this article helpful to you?